Bug 614598 - systemd-install disable either doesn't work, or isn't obvious how to make it work
systemd-install disable either doesn't work, or isn't obvious how to make it ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 16:33 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 06:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-07-14 16:33:46 EDT
Description of problem:

An example:
[root@localhost systemd]# systemd-install --system disable getty.target.wants/getty@tty6.service
File /etc/systemd/system/getty.target.wants/getty@tty1.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
File /etc/systemd/system/getty.target.wants/getty@tty2.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
File /etc/systemd/system/getty.target.wants/getty@tty3.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
File /etc/systemd/system/getty.target.wants/getty@tty4.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
File /etc/systemd/system/getty.target.wants/getty@tty5.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
File /etc/systemd/system/getty.target.wants/getty@tty6.service not a symlink to /etc/systemd/system/getty.target.wants/getty@tty6.service but points to /lib/systemd/system/getty@.service, ignoring.
[root@localhost systemd]# echo $?
1

Version-Release number of selected component (if applicable):

systemd-3-3
Comment 1 Yanko Kaneti 2010-07-15 06:12:20 EDT
Another oddness of this sort
# systemctl --all | grep Network
NetworkManager.service                        loaded inactive     dead        
# systemd-install disable NetworkManager.service
Couldn't find NetworkManager.service.
Comment 2 Bug Zapper 2010-07-30 08:35:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Lennart Poettering 2010-08-06 06:11:52 EDT
Since a while "systemctl enable" now makes sure that invocations like this will fail, and tell the user to call it with non-symlinked service file names only.

Note You need to log in before you can comment on or make changes to this bug.